ALLOC_NETDEV(9)

NAME
alloc_netdev - allocate network device

SYNOPSIS

struct net_device * alloc_netdev (int sizeof_priv, const char * name, void (*setup) <funcparams>struct net_device *</funcparams>);

ARGUMENTS

sizeof_priv
    size of private data to allocate space for

name
    device name format string

setup
    callback to initialize device

DESCRIPTION

Allocates a struct net_device with private data area for driver use and performs basic initialization.